function r = ss2_ue_a7_myrand(N, M)
% r = ss2_ue_a7_myrand(N, M)
%
% Normally distributed random variable with random mean (standard deviation 3)
% and variance 1. The mean is random for each column of r.
%
%--------------------------------------------------------------------------
% Input parameters:
%    N - number of rows
%    M - number of columns
%
% Output parameters
%    r - NxM matrix of random numbers
%
%--------------------------------------------------------------------------
%
% Signals and Systems II - Exercise 2, "Demo" for Problem 2
%
% Nov. 2010
% Digital Signal Processing and System Theory
% Faculty of Engineering Christian-Albrechts-Universitt zu Kiel
% Jochen Withopf, jow@tf.uni-kiel.de
%--------------------------------------------------------------------------

if(nargin<2)
    M = N;
end

offs = 3*randn(1, M);
r    = repmat(offs, N, 1) + randn(N,M);